Find or create biometrics device
curl --request POST \
--url https://api.sandbox.trio.com.br/biometrics/devices \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account_tenure": "2023-01-01",
"counterparty_name": "Ronaldo Nazário de Lima",
"counterparty_tax_number": "86229976005",
"fingerprint": "fingerprint_example",
"language": "pt-BR",
"os": "iOS",
"os_version": "15.4",
"load_enrollments": false,
"screen_height": "1136",
"screen_width": "640",
"timezone_offset": "-03:00"
}
'import requests
url = "https://api.sandbox.trio.com.br/biometrics/devices"
payload = {
"account_tenure": "2023-01-01",
"counterparty_name": "Ronaldo Nazário de Lima",
"counterparty_tax_number": "86229976005",
"fingerprint": "fingerprint_example",
"language": "pt-BR",
"os": "iOS",
"os_version": "15.4",
"load_enrollments": False,
"screen_height": "1136",
"screen_width": "640",
"timezone_offset": "-03:00"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_tenure: '2023-01-01',
counterparty_name: 'Ronaldo Nazário de Lima',
counterparty_tax_number: '86229976005',
fingerprint: 'fingerprint_example',
language: 'pt-BR',
os: 'iOS',
os_version: '15.4',
load_enrollments: false,
screen_height: '1136',
screen_width: '640',
timezone_offset: '-03:00'
})
};
fetch('https://api.sandbox.trio.com.br/biometrics/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_tenure": "2022-01-01",
"counterparty_id": "019f9fbf-2cba-e739-5b73-4921e5fee3e2",
"fingerprint": "device-fingerprint-unique-id",
"id": "019f9fbf-2cba-8348-bcfe-5abfc1464f79",
"inserted_at": "2026-07-26T00:00:00Z",
"language": "pt-BR",
"os": "Android",
"os_version": "14",
"screen_height": 2400,
"screen_width": 1080,
"timezone_offset": "-03",
"updated_at": "2026-07-26T00:00:00Z"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics (Pix)
Find or create device
Finds or creates a biometrics device associated with a counterparty.
POST
/
biometrics
/
devices
Find or create biometrics device
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Device find or create parameters
Parameters for finding or creating a biometrics device
Account tenure
Counterparty name
Counterparty tax number
Device fingerprint
Language
Operating system
OS version
Screen height
Screen width
Timezone offset
load enrollments
Response
Device
Response schema for a biometrics device
A biometrics device
Show child attributes
Show child attributes
Example:
{ "account_tenure": "2023-01-01", "counterparty_id": "019f9fbf-2c94-7193-fd30-47955e3fde9e", "fingerprint": "fingerprint_example", "id": "019f9fbf-2c94-2361-0226-a2feb129698b", "inserted_at": "2026-07-26T00:00:00Z", "language": "pt-BR", "os": "iOS", "os_version": "15.4", "screen_height": "1136", "screen_width": "640", "timezone_offset": "-03:00", "updated_at": "2026-07-26T00:00:00Z" }
⌘I

